org.apache.xmlbeans.impl.schema

## Class StscImporter

- java.lang.Object
- - org.apache.xmlbeans.impl.schema.StscImporter

-     public class StscImporter
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `StscImporter.DownloadTable`
    `static class` | `StscImporter.SchemaToProcess`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StscImporter()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static URI` | `resolve(URI base, String child)`
    `static StscImporter.SchemaToProcess[]` | `resolveImportsAndIncludes(org.apache.xmlbeans.impl.xb.xsdschema.SchemaDocument.Schema[] startWith, boolean forceSrcSave)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StscImporter

          public StscImporter()

  - ### Method Detail

    - #### resolveImportsAndIncludes

          public static StscImporter.SchemaToProcess[] resolveImportsAndIncludes(org.apache.xmlbeans.impl.xb.xsdschema.SchemaDocument.Schema[] startWith,
                                                                                 boolean forceSrcSave)

    - #### resolve

          public static URI resolve(URI base,
                                    String child)
                             throws URISyntaxException

      Throws:
        `URISyntaxException`